/*
 * LCDCharacters.c
 *
 *  Created on: Jul 8, 2015
 *      Author: RK
 */

#include <SI_EFM8UB1_Register_Enums.h>		// SFR declarations
#include "AmbientLightMonitor_Defs.h"

/*The LCD expects data in least-significant-bit-first format, whereas the EFM8 can only perform
most-significant-bit-first SPI transfers. This look-up table allows us to use a normal 8-bit variable
for the address: the address is used as the index to this array, and the corresponding array value
is a bit-reversed address that can be sent out the SPI*/
code unsigned char LCDLineAddr_LUT[] =
{
  0x80, 0x40, 0xC0, 0x20, 0xA0, 0x60, 0xE0, 0x10, 0x90, 0x50, 0xD0, 0x30, 0xB0, 0x70, 0xF0,
  0x08, 0x88, 0x48, 0xC8, 0x28, 0xA8, 0x68, 0xE8, 0x18, 0x98, 0x58, 0xD8, 0x38, 0xB8, 0x78, 0xF8,
  0x04, 0x84, 0x44, 0xC4, 0x24, 0xA4, 0x64, 0xE4, 0x14, 0x94, 0x54, 0xD4, 0x34, 0xB4, 0x74, 0xF4,
  0x0C, 0x8C, 0x4C, 0xCC, 0x2C, 0xAC, 0x6C, 0xEC, 0x1C, 0x9C, 0x5C, 0xDC, 0x3C, 0xBC, 0x7C, 0xFC,
  0x02, 0x82, 0x42, 0xC2, 0x22, 0xA2, 0x62, 0xE2, 0x12, 0x92, 0x52, 0xD2, 0x32, 0xB2, 0x72, 0xF2,
  0x0A, 0x8A, 0x4A, 0xCA, 0x2A, 0xAA, 0x6A, 0xEA, 0x1A, 0x9A, 0x5A, 0xDA, 0x3A, 0xBA, 0x7A, 0xFA,
  0x06, 0x86, 0x46, 0xC6, 0x26, 0xA6, 0x66, 0xE6, 0x16, 0x96, 0x56, 0xD6, 0x36, 0xB6, 0x76, 0xF6,
  0x0E, 0x8E, 0x4E, 0xCE, 0x2E, 0xAE, 0x6E, 0xEE, 0x1E, 0x9E, 0x5E, 0xDE, 0x3E, 0xBE, 0x7E, 0xFE,
  0x01
};

code unsigned char LCD_Digit0[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0xFF, 0xFE, 0x00, 0x3F, 0xFC, 0x00, 0x1F, 0xF8, 0x1C, 0x0F, 0xF8, 0x7F, 0x07, 0xF0, 0xFF, 0x87, 0xF0, 0xFF, 0x83, 0xF1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE0, 0xFF, 0x87, 0xF0, 0xFF, 0x87, 0xF0, 0x7F, 0x07, 0xF8, 0x3E, 0x0F, 0xF8, 0x00, 0x1F, 0xFC, 0x00, 0x3F, 0xFF, 0x00, 0x7F};

code unsigned char LCD_Digit1[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0x01, 0xFF, 0xFC, 0x01, 0xFF, 0xF8, 0x01, 0xFF, 0xF0, 0x61, 0xFF, 0xF1, 0xE1, 0xFF, 0xF7, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xF0, 0x00, 0x0F, 0xF0, 0x00, 0x07, 0xF0, 0x00, 0x0F};

code unsigned char LCD_Digit2[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0xFF, 0xFC, 0x00, 0x7F, 0xF0, 0x00, 0x3F, 0xF0, 0x10, 0x1F, 0xF1, 0xFE, 0x0F, 0xF7, 0xFE, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFE, 0x0F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFC, 0x3F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF0, 0x7F, 0xFF, 0xE0, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x0F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFC, 0x3F, 0xFF, 0xF8, 0x3F, 0xFF, 0xF0, 0x7F, 0xFF, 0xF0, 0x00, 0x1F, 0xE0, 0x00, 0x1F, 0xF0, 0x00, 0x1F};

code unsigned char LCD_Digit3[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0xFF, 0xFC, 0x00, 0x7F, 0xF0, 0x00, 0x3F, 0xF0, 0x78, 0x1F, 0xF1, 0xFE, 0x0F, 0xFF, 0xFE, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFE, 0x0F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFC, 0x1F, 0xFF, 0xF0, 0x3F, 0xFC, 0x00, 0xFF, 0xFC, 0x00, 0x7F, 0xFC, 0x00, 0x3F, 0xFF, 0xF8, 0x0F, 0xFF, 0xFE, 0x0F, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xF7, 0xFF, 0x07, 0xF9, 0xFE, 0x0F, 0xF8, 0x00, 0x1F, 0xF8, 0x00, 0x3F, 0xFC, 0x00, 0xFF};

code unsigned char LCD_Digit4[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x3F, 0xFF, 0xF0, 0x1F, 0xFF, 0xF0, 0x1F, 0xFF, 0xE0, 0x1F, 0xFF, 0xE0, 0x1F, 0xFF, 0xC2, 0x1F, 0xFF, 0xC6, 0x1F, 0xFF, 0x86, 0x1F, 0xFF, 0x0E, 0x1F, 0xFF, 0x1E, 0x1F, 0xFE, 0x1E, 0x1F, 0xFE, 0x3E, 0x1F, 0xFC, 0x3E, 0x1F, 0xF8, 0x7E, 0x1F, 0xF8, 0xFE, 0x1F, 0xF0, 0xFE, 0x1F, 0xF1, 0xFE, 0x1F, 0xE1, 0xFE, 0x1F, 0xC3, 0xFE, 0x1F, 0xC0, 0x00, 0x03, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xFF, 0xFC, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F};

code unsigned char LCD_Digit5[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x1F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x1F, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF8, 0x00, 0x7F, 0xF8, 0x00, 0x1F, 0xF8, 0x00, 0x0F, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0x0F, 0xE3, 0xFC, 0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, 0x3F, 0xF8, 0x00, 0xFF};

code unsigned char LCD_Digit6[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x3F, 0xFF, 0x00, 0x0F, 0xFE, 0x00, 0x0F, 0xFC, 0x0F, 0x8F, 0xF8, 0x3F, 0xFF, 0xF0, 0x7F, 0xFF, 0xF0, 0xFF, 0xFF, 0xF0, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xE3, 0xFF, 0xE3, 0x00, 0x3F, 0xC0, 0x00, 0x1F, 0xC0, 0x00, 0x0F, 0xC0, 0xFE, 0x0F, 0xC3, 0xFF, 0x07, 0xC3, 0xFF, 0x87, 0xC3, 0xFF, 0x87, 0xC1, 0xFF, 0x87, 0xE1, 0xFF, 0x87, 0xE1, 0xFF, 0x87, 0xE1, 0xFF, 0x87, 0xE1, 0xFF, 0x07, 0xF0, 0xFF, 0x0F, 0xF0, 0x7E, 0x0F, 0xF8, 0x00, 0x1F, 0xFC, 0x00, 0x3F, 0xFE, 0x00, 0xFF};

code unsigned char LCD_Digit7[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x07, 0xE0, 0x00, 0x03, 0xE0, 0x00, 0x03, 0xF0, 0x00, 0x03, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFC, 0x3F, 0xFF, 0xFC, 0x3F, 0xFF, 0xF8, 0x3F, 0xFF, 0xF8, 0x7F, 0xFF, 0xF0, 0x7F, 0xFF, 0xF0, 0xFF, 0xFF, 0xF0, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xE1, 0xFF, 0xFF, 0xC1, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0x83, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0x0F, 0xFF, 0xFE, 0x0F, 0xFF, 0xFE, 0x1F, 0xFF};

code unsigned char LCD_Digit8[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x7F, 0xFE, 0x00, 0x1F, 0xFC, 0x00, 0x0F, 0xF8, 0x3E, 0x0F, 0xF0, 0x7F, 0x07, 0xF0, 0xFF, 0x87, 0xF0, 0xFF, 0x87, 0xF0, 0xFF, 0x87, 0xF0, 0xFF, 0x87, 0xF0, 0x7F, 0x0F, 0xF8, 0x3F, 0x0F, 0xF8, 0x1C, 0x1F, 0xFC, 0x00, 0x3F, 0xFF, 0x00, 0x7F, 0xFF, 0x80, 0x7F, 0xFE, 0x00, 0x3F, 0xFC, 0x18, 0x1F, 0xF8, 0x3E, 0x07, 0xF0, 0xFF, 0x07, 0xE0, 0xFF, 0x83, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE1, 0xFF, 0xC3, 0xE0, 0xFF, 0x83, 0xF0, 0x7F, 0x07, 0xF0, 0x00, 0x0F, 0xF8, 0x00, 0x1F, 0xFE, 0x00, 0x3F};

code unsigned char LCD_Digit9[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x7F, 0xFF, 0x00, 0x1F, 0xFC, 0x00, 0x0F, 0xFC, 0x1E, 0x07, 0xF8, 0x3F, 0x07, 0xF8, 0x7F, 0x83, 0xF0, 0xFF, 0xC3, 0xF0, 0xFF, 0xC3, 0xF0, 0xFF, 0xC3, 0xF0, 0xFF, 0xE1, 0xF0, 0xFF, 0xE1, 0xF0, 0xFF, 0xE1, 0xF0, 0x7F, 0xE1, 0xF8, 0x7F, 0xC1, 0xF8, 0x1F, 0x01, 0xFC, 0x00, 0x01, 0xFE, 0x00, 0x01, 0xFF, 0x80, 0xE1, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0xC3, 0xFF, 0xFF, 0x87, 0xFF, 0xFF, 0x87, 0xFF, 0xFE, 0x0F, 0xFB, 0xFC, 0x1F, 0xF8, 0x00, 0x1F, 0xF8, 0x00, 0x7F, 0xF8, 0x00, 0xFF};

code unsigned char LCD_Error[DIGIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0x8F, 0xE1, 0xFF, 0x0F, 0xF0, 0xFF, 0x1F, 0xF8, 0xFE, 0x1F, 0xF8, 0x7E, 0x3F, 0xFC, 0x7C, 0x3F, 0xFC, 0x3C, 0x7F, 0xFE, 0x18, 0x7F, 0xFF, 0x10, 0xFF, 0xFF, 0x01, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0x83, 0xFF, 0xFF, 0x83, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0x01, 0xFF, 0xFF, 0x10, 0xFF, 0xFE, 0x38, 0x7F, 0xFC, 0x38, 0x7F, 0xFC, 0x7C, 0x3F, 0xF8, 0x7E, 0x3F, 0xF8, 0xFE, 0x1F, 0xF0, 0xFF, 0x1F, 0xE1, 0xFF, 0x0F, 0xE3, 0xFF, 0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF};

code unsigned char LCD_microAmps[UNIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x3F, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0xFF, 0xF8, 0x1F, 0xFF, 0xFF, 0xF8, 0x8F, 0xFF, 0xFF, 0xF9, 0x8F, 0xE7, 0xCF, 0xF1, 0x8F, 0xE7, 0xCF, 0xF3, 0xC7, 0xE7, 0xCF, 0xE3, 0xC7, 0xE7, 0xCF, 0xE3, 0xE7, 0xE7, 0xCF, 0xE7, 0xE3, 0xE7, 0xCF, 0xC7, 0xE3, 0xE7, 0xCF, 0xC0, 0x01, 0xE7, 0xCF, 0xC0, 0x01, 0xE7, 0x8F, 0x80, 0x01, 0xE0, 0x03, 0x8F, 0xF8, 0xE0, 0x63, 0x9F, 0xF8, 0xE7, 0xFF, 0x1F, 0xF8, 0xE7, 0xFF, 0x1F, 0xFC, 0xE7, 0xFF, 0x3F, 0xFC};

code unsigned char LCD_milliAmps[UNIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x3F, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0xFF, 0xF8, 0x1F, 0xFF, 0xFF, 0xF8, 0x8F, 0xFF, 0xFF, 0xF9, 0x8F, 0xFF, 0xFF, 0xF1, 0x8F, 0xFF, 0xFF, 0xF3, 0xC7, 0xFF, 0xFF, 0xE3, 0xC7, 0x21, 0x83, 0xE3, 0xE7, 0x08, 0x11, 0xE7, 0xE3, 0x1C, 0x39, 0xC7, 0xE3, 0x3E, 0x79, 0xC0, 0x01, 0x3E, 0x79, 0xC0, 0x01, 0x3E, 0x79, 0x80, 0x01, 0x3E, 0x79, 0x8F, 0xF8, 0x3E, 0x79, 0x9F, 0xF8, 0x3E, 0x79, 0x1F, 0xF8, 0x3E, 0x78, 0x1F, 0xFC, 0x3E, 0x78, 0x3F, 0xFC};

code unsigned char LCD_milliVolts[UNIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x3F, 0xF8, 0xFF, 0xFE, 0x3F, 0xF1, 0xFF, 0xFE, 0x3F, 0xF1, 0xFF, 0xFF, 0x1F, 0xF1, 0xFF, 0xFF, 0x1F, 0xE3, 0xFF, 0xFF, 0x1F, 0xE3, 0xFF, 0xFF, 0x8F, 0xE3, 0xFF, 0xFF, 0x8F, 0xC7, 0xFF, 0xFF, 0x8F, 0xC7, 0x21, 0x83, 0xC7, 0xC7, 0x08, 0x11, 0xC7, 0x8F, 0x1C, 0x39, 0xC7, 0x8F, 0x3E, 0x79, 0xE3, 0x9F, 0x3E, 0x79, 0xE3, 0x1F, 0x3E, 0x79, 0xE3, 0x1F, 0x3E, 0x79, 0xF1, 0x3F, 0x3E, 0x79, 0xF0, 0x3F, 0x3E, 0x79, 0xF8, 0x3F, 0x3E, 0x79, 0xF8, 0x7F, 0x3E, 0x78, 0xF8, 0x7F};

code unsigned char LCD_Volts[UNIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0xFF, 0x1F, 0xFF, 0xC7, 0xFE, 0x3F, 0xFF, 0xC7, 0xFE, 0x3F, 0xFF, 0xE3, 0xFE, 0x3F, 0xFF, 0xE3, 0xFC, 0x7F, 0xFF, 0xE3, 0xFC, 0x7F, 0xFF, 0xF1, 0xFC, 0x7F, 0xFF, 0xF1, 0xF8, 0xFF, 0xFF, 0xF1, 0xF8, 0xFF, 0xFF, 0xF8, 0xF8, 0xFF, 0xFF, 0xF8, 0xF1, 0xFF, 0xFF, 0xF8, 0xF1, 0xFF, 0xFF, 0xFC, 0x73, 0xFF, 0xFF, 0xFC, 0x63, 0xFF, 0xFF, 0xFC, 0x63, 0xFF, 0xFF, 0xFE, 0x27, 0xFF, 0xFF, 0xFE, 0x07, 0xFF, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF, 0xFF, 0x0F, 0xFF, 0xFF};

code unsigned char LCD_Hz[UNIT_PIXDATA_ARRAY_LEN] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xFF, 0xFF, 0x1F, 0xF8, 0xF0, 0x03, 0x1F, 0xF8, 0xF0, 0x01, 0x1F, 0xF8, 0xFF, 0xE3, 0x00, 0x00, 0xFF, 0xE3, 0x00, 0x00, 0xFF, 0xC7, 0x00, 0x00, 0xFF, 0x8F, 0x1F, 0xF8, 0xFF, 0x8F, 0x1F, 0xF8, 0xFF, 0x1F, 0x1F, 0xF8, 0xFE, 0x1F, 0x1F, 0xF8, 0xFE, 0x3F, 0x1F, 0xF8, 0xFC, 0x7F, 0x1F, 0xF8, 0xF8, 0x7F, 0x1F, 0xF8, 0xF8, 0xFF, 0x1F, 0xF8, 0xF0, 0xFF, 0x1F, 0xF8, 0xF0, 0x01, 0x1F, 0xF8, 0xF0, 0x01};



